Bug 431512 - Include # and * wildcard information
Summary: Include # and * wildcard information
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference   
(Show other bugs)
Version: beta
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Jonathan Robie
QA Contact: Kim van der Riet
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-05 06:42 UTC by Lana Brindley
Modified: 2013-10-23 23:06 UTC (History)
3 users (show)

Fixed In Version: B4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-19 13:32:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lana Brindley 2008-02-05 06:42:49 UTC
Description of problem:

Questions from beta customer:

> 3. How does a wildcard work with the routing key? The documents you mentioned
only talk about the "#" character. Does "a.#" match "a.b" and "a.b.c"? In some
document (which I didn't note down), there was talk of "*" matching one word and
"#" matching zero or more words. Is this true? Is there a list of wildcard
examples some place?
“*” matches a single word and ‘#’ matches zero or more words.

This information should be included in the Tutorial for GA.

Comment 1 Jonathan Robie 2008-05-19 13:32:16 UTC
1.3. Topic Exchange

A Topic exchange is similar to a Direct exchange, but uses keys that contain
multiple words separated by a “.” delimiter. A message producer might create
messages with routing keys like usa.news, usa.weather, europe.news, and
europe.weather.

Binding keys for a Topic exchanges can include wildcard characters: a “#”
matches one or more words, a “*” matches a single word. Typical bindings use
binding keys like #.news (all news items), usa.# (all items in the USA), or
usa.weather (all USA weather items). 




Note You need to log in before you can comment on or make changes to this bug.